### Namespace

# GdkPixbuf – 2.0

Image loading library

Version | 2.42.4
Authors | GTK Development Team
License | GPL-2.1-or-later
Website | https://www.gtk.org
Source | https://gitlab.gnome.org/GNOME/gdk-pixbuf/

#### Build

C headers | `gdk-pixbuf/gdk-pixbuf.h`
pkg-config files | `gdk-pixbuf-2.0`

#### Dependencies

GObject | The base type system library
| Browse documentation
GIO | GObject Interfaces and Objects
| Browse documentation

#### Additional documentation

- Scaling and compositing
- Classes Hierarchy

#### Classes

Pixbuf | A pixel buffer.
PixbufAnimation | An opaque object representing an animation.
PixbufAnimationIter | An opaque object representing an iterator which points to a certain position in an animation.
PixbufLoader | Incremental image loader.
PixbufNonAnim |
PixbufSimpleAnim | An opaque struct representing a simple animation.
PixbufSimpleAnimIter |

#### Structs

PixbufFormat | A `GdkPixbufFormat` contains information about the image format accepted by a module.
PixbufModule | A `GdkPixbufModule` contains the necessary functions to load and save images in a certain file format.
PixbufModulePattern | The signature prefix for a module.

#### Enumerations

Colorspace | This enumeration defines the color spaces that are supported by the gdk-pixbuf library.
InterpType | Interpolation modes for scaling functions.
PixbufAlphaMode | Control the alpha channel for drawables.
PixbufRotation | The possible rotations which can be passed to `gdk_pixbuf_rotate_simple()`.

#### Bitfields

PixbufFormatFlags | Flags which allow a module to specify further details about the supported operations.

#### Error Domains

PixbufError | An error code in the `GDK_PIXBUF_ERROR` domain.

#### Callbacks

PixbufDestroyNotify | A function of this type is responsible for freeing the pixel array of a pixbuf.
PixbufModuleFillInfoFunc | Defines the type of the function used to fill a `GdkPixbufFormat` structure with information about a module.
PixbufModuleFillVtableFunc | Defines the type of the function used to set the vtable of a `GdkPixbufModule` when it is loaded.
PixbufModulePreparedFunc | Defines the type of the function that gets called once the initial setup of `pixbuf` is done.
PixbufModuleSizeFunc | Defines the type of the function that gets called once the size of the loaded image is known.
PixbufModuleUpdatedFunc | Defines the type of the function that gets called every time a region of `pixbuf` is updated.
PixbufSaveFunc | Save functions used by `gdk_pixbuf_save_to_callback()`.

#### Function Macros

PIXBUF_CHECK_VERSION | Macro to test the version of GdkPixbuf being compiled against.

#### Constants

PIXBUF_MAJOR | Major version of gdk-pixbuf library, that is the “0” in “0.8.2” for example.
PIXBUF_MICRO | Micro version of gdk-pixbuf library, that is the “2” in “0.8.2” for example.
PIXBUF_MINOR | Minor version of gdk-pixbuf library, that is the “8” in “0.8.2” for example.
PIXBUF_VERSION | Contains the full version of GdkPixbuf as a string.